Bug 1559176 - 1536M for live media isn't enough when things crash
Summary: 1536M for live media isn't enough when things crash
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: distribution
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Václav Pavlín
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-21 21:57 UTC by Chris Murphy
Modified: 2019-05-28 19:47 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 19:47:42 UTC
Type: Bug


Attachments (Terms of Use)
journal log (221.47 KB, text/plain)
2018-03-21 21:57 UTC, Chris Murphy
no flags Details
fedorabios.xml (4.34 KB, text/plain)
2018-03-21 22:48 UTC, Chris Murphy
no flags Details
journal VM 1G RAM log (237.97 KB, text/plain)
2018-03-22 04:07 UTC, Chris Murphy
no flags Details

Description Chris Murphy 2018-03-21 21:57:33 UTC
Created attachment 1411477 [details]
journal log

Description of problem:

PackageKit crashes, triggers systemd-coredump which then runs out of memory and things start invoking oom-killer and it all just goes downhill from there.


Version-Release number of selected component (if applicable):
Fedora-Workstation-Live-x86_64-28-20180320.n.0.iso

How reproducible:
It does reproduce eventually, but usually it's non-deterministic what will end up triggering the OOM. In this particular case, I haven't even launched anaconda or started navigating around. Just boot with defaults in a VM and eventually PK crashes and then coredump runs out of RAM. Ergo it's possible to do absolutely nothing and totally lose the VM and I don't know why.


Steps to Reproduce:
1. Fedora 27 host with kernel 4.15.10-300.fc27.x86_64
2. virt-manager qemu-kvm guest created with Fedora 27 preset, nothing exotic, XML attached, and it has 1536MB RAM which is 50% more than the Fedora 27 requirements
3.

Actual results:

Becomes unresponsive, processes start getting killed off.

Expected results:

Should be stable.


Additional info:

The journal log attached is captured using 'virsh console' and 'journalctl -o short-monotonic' output to a file.

Comment 1 Chris Murphy 2018-03-21 22:48:51 UTC
Created attachment 1411508 [details]
fedorabios.xml

Comment 2 Chris Murphy 2018-03-22 04:07:11 UTC
Created attachment 1411583 [details]
journal VM 1G RAM log

Lower the VM to the 1G minimum requirement found on https://getfedora.org/en/workstation/download/ and it always explodes with oom killers before the desktop even fully appears.

Comment 3 Chris Murphy 2018-03-24 02:51:15 UTC
In this bug, anaconda invokes oom killer. The VM has 1.75G RAM and 2G swap.

https://bugzilla.redhat.com/show_bug.cgi?id=1560146

Comment 4 Ben Cotton 2019-05-02 21:59:07 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Ben Cotton 2019-05-28 19:47:42 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.